/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
var h = {
	"_sono_le": {1:[1,2,3,4,6,7]},
	"_e_l": {2:[1,3,4]},
	"_e": {8:[1]},
	"_meno": {7:[8,9,10,11]},
	"_mezza": {10:[7,8,9,10,11]},
	"_5": {9:[6,7,8,9,10,11]},
	"_10": {10:[1,2,3,4,5]},
	"_un_quarto": {8:[3,4,6,7,8,9,10,11]},
	"_20": {9:[1,2,3,4,5]},
	"_25": {9:[1,2,3,4,5,6,7,8,9,10,11]}
};
var layout = {
	"version": 2,
	"language": 'Italiano',
	"letters": [
		'SONORLEBORE',
		'ÈRL\'UNASDUE',
		'TREOTTONOVE',
		'DIECIUNDICI',
		'DODICISETTE',
		'QUATTROCSEI',
		'CINQUEAMENO',
		'ECUNOQUARTO',
		'VENTICINQUE',
		'DIECIPMEZZA'
	],
	"permanent": [],
	"minutes": {
		"5,6,7,8,9": [h._e, h._5],
		"10,11,12,13,14": [h._e, h._10],
		"15,16,17,18,19": [h._e, h._un_quarto],
		"20,21,22,23,24": [h._e, h._20],
		"25,26,27,28,29": [h._e, h._25],
		"30,31,32,33,34": [h._e, h._mezza],
		"35,36,37,38,39": [h._meno, h._25],
		"40,41,42,43,44": [h._meno, h._20],
		"45,46,47,48,49": [h._meno, h._un_quarto],
		"50,51,52,53,54": [h._meno, h._10],
		"55,56,57,58,59": [h._meno, h._5]
	},
	"hours": {
		"0,12": [h._sono_le, {5:[1,2,3,4,5,6]}],
		"1,13": [h._e_l, {2:[5,6,7]}],
		"2,14": [h._sono_le, {2:[9,10,11]}],
		"3,15": [h._sono_le, {3:[1,2,3]}],
		"4,16": [h._sono_le, {6:[1,2,3,4,5,6,7]}],
		"5,17": [h._sono_le, {7:[1,2,3,4,5,6]}],
		"6,18": [h._sono_le, {6:[9,10,11]}],
		"7,19": [h._sono_le, {5:[7,8,9,10,11]}],
		"8,20": [h._sono_le, {3:[4,5,6,7]}],
		"9,21": [h._sono_le, {3:[8,9,10,11]}],
		"10,22": [h._sono_le, {4:[1,2,3,4,5]}],
		"11,23": [h._sono_le, {4:[6,7,8,9,10,11]}]
	},
	"getHour": function(date) {
		var hour = date.getHours();
		if (date.getMinutes() >= 35) {
			return hour + 1;
		}
		return hour;
	}
};
window,_uhr.register('it', layout);
